import smbus
import time
import sys

bus = smbus.SMBus(1)
meteo_i2c_addr = 0x04
cmd_addr = 0xF6
cmd_len_addr = 0xF7
msg_buf_addr = 0x3C
answer_addr = 0xF8
anwer_param = 0xF9

DELAY = 1

def METEO_get_status():
        j=0
        while j<10:
		j+=1
                time.sleep(DELAY)
                if bus.read_byte_data(meteo_i2c_addr,cmd_addr)==0:
			time.sleep(DELAY)
                	return 1
        return 0

def METEO_get_answer(k=0):
        j=0
        while j<10:
		j+=1
                time.sleep(DELAY)
                line=""
                if bus.read_byte_data(meteo_i2c_addr,answer_addr)== 1:
                        while k<186:
                                d=bus.read_byte_data(meteo_i2c_addr,msg_buf_addr+k)
                                k+=1
                                if d!=0:
                                        line=line+chr(d)
                                else:
                                        break
                        bus.write_byte_data(meteo_i2c_addr,answer_addr,0)
                        print line
			return 1
	return 0

def METEO_reset():
	bus.write_byte_data(meteo_i2c_addr, cmd_addr, 0x01)
	time.sleep(DELAY)
	return -1

def SIM900_reset():
	bus.write_byte_data(meteo_i2c_addr, cmd_addr, 0x02)
	return METEO_get_status()

def METEO_clear_msg_buf():
        bus.write_byte_data(meteo_i2c_addr, cmd_addr, 0x03)
	return METEO_get_status()

def METEO_set_phone_temp(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x0B)
	return METEO_get_status()

def METEO_set_email_temp(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x0C)
	return METEO_get_status()

def METEO_set_phone(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x0D)
        return METEO_get_status()

def METEO_set_email(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x0E)
	return METEO_get_status()

def METEO_set_smtp_login(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x0F)
	return METEO_get_status()

def METEO_set_smtp_server(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x10)
	return METEO_get_status()

def METEO_set_smtp_port(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x11)
        return METEO_get_status()

def METEO_set_smtp_pwd(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x12)
        return METEO_get_status()

def METEO_set_voice_pin(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x13)
        return METEO_get_status()

def METEO_get_phone():
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x14)
        return METEO_get_answer(8)

def METEO_get_email():
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x14)
        return METEO_get_answer(23)

def METEO_get_smtp_login():
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x14)
        return METEO_get_answer(53)

def METEO_get_smtp_server():
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x14)
        return METEO_get_answer(83)

def METEO_get_smtp_port():
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x14)
        return METEO_get_answer(103)

def METEO_get_smtp_pwd():
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x14)
        return METEO_get_answer(111)

def METEO_get_voice_pin():
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x14)
        return METEO_get_answer()

def METEO_send_AT(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x15)
        return METEO_get_answer()

def METEO_call():
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x16)
        return METEO_get_status()

def METEO_send_SMS(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x17)
        return METEO_get_status()

def METEO_send_EMAIL(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x18)
        return METEO_get_status()

def METEO_get_SMS_list():
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x19)
        return METEO_get_answer()

def METEO_get_SMS_info(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x1A)
        return METEO_get_answer()

def METEO_get_SMS_body(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x1B)
	return METEO_get_answer()

def METEO_delete_SMS(data):
        i=msg_buf_addr
        for c in data:
                bus.write_byte_data(meteo_i2c_addr,i,ord(c))
                i=i+1
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,len(data))
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x1C)
        return METEO_get_status()

def METEO_delete_all_SMS():
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x1D)
        return METEO_get_status()

def METEO_refresh_score():
        bus.write_byte_data(meteo_i2c_addr,cmd_addr,0x1E)
        return METEO_get_status()


def getDUMP():
	for i in range(42):
        	line=" "+str(i)+": "
                for j in range(6):
                        line=line+" "+str(bus.read_byte_data(meteo_i2c_addr,j+i*6))
                print line
	return -1

def getDATA(j,i):
        print(str(bus.read_byte_data(meteo_i2c_addr,int(j)*6+int(i)*2))+"."+str(bus.read_byte_data(meteo_i2c_addr,int(j)*6+int(i)*2+1)))
        return -1

def setDATA(j,i,vh,vl):
        bus.write_byte_data(meteo_i2c_addr,int(j)*6+int(i)*2,int(vh))
	bus.write_byte_data(meteo_i2c_addr,int(j)*6+int(i)*2+1,int(vl))
        return -1

def writeNumber(addr,value):
        #bus.write_byte(address, value)
        bus.write_byte_data(meteo_i2c_addr, addr, value)
        return -1

def readNumber(addr):
        #number = bus.read_byte(address)
        number = bus.read_byte_data(meteo_i2c_addr, addr)
	print number
        return number

def clearCMD():
	bus.write_byte_data(meteo_i2c_addr,cmd_addr,0)
        bus.write_byte_data(meteo_i2c_addr,cmd_len_addr,0)
        bus.write_byte_data(meteo_i2c_addr,answer_addr,0)
        bus.write_byte_data(meteo_i2c_addr,anwer_param,0)
        return -1


if len(sys.argv) == 2:
	eval(sys.argv[1]+"()")
if len(sys.argv) == 3:
        eval(sys.argv[1]+"("+sys.argv[2]+")")
if len(sys.argv) == 4:
        eval(sys.argv[1]+"("+sys.argv[2]+","+sys.argv[3]+")")
if len(sys.argv) == 5:
        eval(sys.argv[1]+"("+sys.argv[2]+","+sys.argv[3]+","+sys.argv[4]+")")
if len(sys.argv) == 6:
        eval(sys.argv[1]+"("+sys.argv[2]+","+sys.argv[3]+","+sys.argv[4]+","+sys.argv[5]+")")

