void I2C_ClearMsgBuf()
{
  char *p;
  p=i2c_buff+60;
  memset(p,0,I2C_MSG_BUFF);
}

void I2C_RecData(int byteCount)
{
  int count=0;
  while(Wire.available()) 
  {
    if(count==0)number = Wire.read();
    else
    {
      i2c_buff[number] = Wire.read();
      number++;
    }
    count++;
  }
}

void I2C_SendData()
{
  if(number<BUFF_SIZE)
  {
    Wire.write(i2c_buff[number]);
    number++;
  }
  else Wire.write(0);
}

boolean I2C_SetPhone_Temp(int num)
{
  if(num>PHONE_BUFFER)return 0; 
  char *p;
  p=i2c_buff+60;
  memset(phone,0,PHONE_BUFFER);
  memcpy(phone, p, num) ;
  Serial.print(F("Setup phone ... phone: ")); 
  Serial.println(phone);
}

boolean I2C_SetEMail_Temp(int num)
{
  if(num>EMAIL_BUFFER)return 0; 
  char *p;
  p=i2c_buff+60;
  memset(email,0,EMAIL_BUFFER);
  memcpy(email, p, num) ;
  Serial.print(F("Setup EMail ... mail: ")); 
  Serial.println(email);
}

boolean I2C_SetPhone(int num)
{
  if(num>PHONE_BUFFER)return 0; 
  char *p;
  p=i2c_buff+60;
  memset(phone,0,PHONE_BUFFER);
  memcpy(phone, p, num) ;
  for(int i=0; i<PHONE_BUFFER; i++)EEPROM.write(i,phone[i]);
  Serial.print(F("Setup phone ... phone: ")); 
  Serial.println(phone);
}

boolean I2C_SetEMail(int num)
{
  if(num>EMAIL_BUFFER)return 0; 
  char *p;
  p=i2c_buff+60;
  memset(email,0,EMAIL_BUFFER);
  memcpy(email, p, num) ;
  for(int i=0; i<EMAIL_BUFFER; i++)EEPROM.write(i+PHONE_BUFFER,email[i]);
  Serial.print(F("Setup EMail ... mail: ")); 
  Serial.println(email);
}

boolean I2C_SetEMail_login(int num)
{
  if(num>EMAIL_BUFFER)return 0;
  char *p;
  p=i2c_buff+60;
  memset(email_login,0,EMAIL_BUFFER);
  memcpy(email_login, p, num) ;
  for(int i=0; i<EMAIL_BUFFER; i++)EEPROM.write(i+PHONE_BUFFER+EMAIL_BUFFER,email_login[i]);
  Serial.print(F("Setup EMail login ... login: ")); 
  Serial.println(email_login);
}

boolean I2C_SetEMail_smtp(int num)
{
  if(num>SMTP_BUFFER)return 0;
  char *p;
  p=i2c_buff+60;
  memset(email_smtp,0,SMTP_BUFFER);
  memcpy(email_smtp, p, num) ;
  for(int i=0; i<SMTP_BUFFER; i++)EEPROM.write(i+PHONE_BUFFER+EMAIL_BUFFER+EMAIL_BUFFER,email_smtp[i]);
  Serial.print(F("Setup EMail smtp ... smtp: ")); 
  Serial.println(email_smtp);
}

boolean I2C_SetEMail_port(int num)
{
  if(num>PORT_BUFFER)return 0;
  char *p;
  p=i2c_buff+60;
  memset(email_port,0,PORT_BUFFER);
  memcpy(email_port, p, num) ;
  for(int i=0; i<PORT_BUFFER; i++)EEPROM.write(i+PHONE_BUFFER+EMAIL_BUFFER+EMAIL_BUFFER+SMTP_BUFFER,email_port[i]);
  Serial.print(F("Setup EMail port ... port: ")); 
  Serial.println(email_port);
}

boolean I2C_SetEMail_pwd(int num)
{
  if(num>PWD_BUFFER)return 0;
  char *p;
  p=i2c_buff+60;
  memset(email_pwd,0,PWD_BUFFER);
  memcpy(email_pwd, p, num) ;
  for(int i=0; i<PWD_BUFFER; i++)EEPROM.write(i+PHONE_BUFFER+EMAIL_BUFFER+EMAIL_BUFFER+SMTP_BUFFER+PORT_BUFFER,email_pwd[i]);
  Serial.print(F("Setup EMail pwd ... pwd: ")); 
  Serial.println(email_pwd);
}

boolean I2C_Set_PinCode(int num)
{
  if(num>PIN_BUFFER)return 0;
  char *p;
  p=i2c_buff+60;
  memset(pincode,0,PIN_BUFFER);
  memcpy(pincode, p, num) ;
  for(int i=0; i<PIN_BUFFER; i++)EEPROM.write(i+PHONE_BUFFER+EMAIL_BUFFER+EMAIL_BUFFER+SMTP_BUFFER+PORT_BUFFER+PWD_BUFFER,pincode[i]);
  Serial.print(F("Setup pincode ... pincode: ")); 
  Serial.println(pincode);
}

void I2C_Send_AT(int num)
{
  char *p;
  p=i2c_buff+60;
  memset(uartbuf,0,UART_BUFFER);
  memcpy(uartbuf, p, num) ;
  I2C_ClearMsgBuf();
  SIM900.print(uartbuf);
  //memset(uartbuf,0,UART_BUFFER);
  //SIM900_waitOK();
}
